<?php
/**
 * The template for displaying Archive pages.
 *
 * Used to display archive-type pages if nothing more specific matches a query.
 * For example, puts together date-based pages if no date.php file exists.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 */
get_header();
?>
<div class="page-container">
    <div class="container">
        <div class="row">
            <div class="page-content">
                <div class="page_heading_wrapper">
                    <div class="page_heading">
                        <div class="col-md-6 col-sm-6"><h1 class="page_title single-heading">
                                <?php
                                if (is_day()) :
                                    printf(__('Daily Archives: %s', 'harrington-lite'), get_the_date());
                                elseif (is_month()) :
                                    printf(__('Monthly Archives: %s', 'harrington-lite'), get_the_date('F Y'));
                                elseif (is_year()) :
                                    printf(__('Yearly Archives: %s', 'harrington-lite'), get_the_date('Y'));
                                else :
                                    _e('Blog Archives', 'harrington-lite');
                                endif;
                                ?>
                            </h1></div>
                        <div class="col-md-6 col-sm-6"><?php harrington_breadcrumbs(); ?></div>
                        <div class="clear"></div>
                    </div>
                </div>
                <div class="col-md-8">
                    <div class="content-bar">
                        <?php
                        if (have_posts()): while (have_posts()): the_post();
                                get_template_part('templates/content');
                            endwhile;
                        else:
                            ?>
                            <div class="post">
                                <p>
                                    <?php _e('Sorry, no posts matched your criteria.', 'harrington-lite'); ?>
                                </p>
                            </div>
                        <?php
                        endif;
                        ?>
                        <div class="clear"></div>
                        <?php
                        harrington_pagination();
                        ?>
                    </div>
                </div>
                <div class="col-md-4">
                    <!--Start Sidebar-->
                    <?php get_sidebar(); ?>
                    <!--End Sidebar-->
                </div>
            </div>
        </div>
        <div class="clear"></div>
    </div>
</div>
<?php get_footer(); ?>