<?php
/*
  Template Name: Blog Page
 */
get_header();
?>
<div class="page-container">
    <div class="container">
        <div class="row">
            <div class="page-content">
                <div class="page_heading_wrapper">
                    <div class="page_heading">
                        <div class="col-md-6 col-sm-6"><h1><?php the_title(); ?></h1></div>
                        <div class="col-md-6 col-sm-6"><?php harrington_breadcrumbs(); ?></div>
                        <div class="clear"></div>
                    </div>
                </div>
                <div class="col-md-8">
                    <div class="content-bar">   
                        <?php
                        $limit = get_option('posts_per_page');
                        $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
                        $args = array(
                            'posts_per_page' => $limit,
                            'paged' => $paged,
                            'post_type' => 'post',
                            'post_status' => 'publish',
                            'ignore_sticky_posts' => true
                        );
                        $wp_query = new WP_Query($args);
                        if ($wp_query->have_posts()): while ($wp_query->have_posts()): the_post();
                                get_template_part('templates/content');
                            endwhile;
                        else:
                            ?>
                            <div class="post">
                                <p>
                                    <?php _e('Sorry, no posts matched your criteria.', 'harrington-lite'); ?>
                                </p>
                            </div>
                        <?php
                        endif;
                        ?>   
                        <div class="clear"></div>
                        <?php harrington_pagination(); ?> 
                    </div>
                </div>
                <div class="col-md-4">
                    <!--Start Sidebar-->
                    <?php get_sidebar(); ?>
                    <!--End Sidebar-->
                </div>
            </div>
        </div>
        <div class="clear"></div>
    </div>
</div>
<?php get_footer(); ?>