<?php
if (!defined('HARRINGTON_DIR')) {
    define('HARRINGTON_DIR', get_template_directory() . '/');
}
if (!defined('HARRINGTON_DIR_URI')) {
    define('HARRINGTON_DIR_URI', get_template_directory_uri() . '/');
}

/**
 * Including all the necessary library files
 */
//require_once (HARRINGTON_DIR . 'includes/shortcodes.php');
require_once (HARRINGTON_DIR . 'includes/dynamic-image.php');
//require_once (HARRINGTON_DIR . 'includes/gallery-shortcode.php');
//require_once (HARRINGTON_DIR . 'includes/inkoption-framework/load.php');
require_once (HARRINGTON_DIR . 'includes/customizer.php');
require_once (HARRINGTON_DIR . 'includes/customizer-controls.php');

/**
* Enqueue script for custom customize control.
*/
function theme_slug_custom_customize_enqueue() {
   wp_enqueue_style( 'customizer-css', HARRINGTON_DIR_URI . 'assets/css/customizer.css' );
   }
   add_action( 'customize_controls_enqueue_scripts', 'theme_slug_custom_customize_enqueue' );


/**
 *  CSS files
 */
function harrington_add_stylesheet() {
    if (!is_admin()) {
        wp_enqueue_style('harrington-bootstrap', HARRINGTON_DIR_URI . 'assets/css/bootstrap.css');
        wp_enqueue_style('harrington-font-awesome', HARRINGTON_DIR_URI . 'assets/css/font-awesome.css');
        wp_enqueue_style('harrington-reset', HARRINGTON_DIR_URI . 'assets/css/reset.css');
        wp_enqueue_style('harrington-slippry', HARRINGTON_DIR_URI . 'assets/css/slippry.css');
        wp_enqueue_style('harrington-reset', HARRINGTON_DIR_URI . 'assets/css/customizer.css');
        wp_enqueue_style('harrington-prettyPhoto', HARRINGTON_DIR_URI . 'assets/css/prettyPhoto.css');
        wp_enqueue_style('harrington-google-font', '//fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800');
        wp_enqueue_style('harrington-main-style', HARRINGTON_DIR_URI . 'style.css');
//        if (harrington_get_option('harrington_altstylesheet') != 'orange' && harrington_get_option('harrington_altstylesheet') != NULL) {
//            wp_enqueue_style('coloroptions', HARRINGTON_DIR_URI . "assets/css/color/" . harrington_get_option('harrington_altstylesheet') . ".css", '', '', 'all');
//        }
        //wp_enqueue_style('harrington-shortcode', HARRINGTON_DIR_URI . 'assets/css/shortcode.css');
        wp_enqueue_style('harrington-woocommerce', HARRINGTON_DIR_URI . 'assets/css/woocommerce.css');
        wp_enqueue_style('harrington-responsive', HARRINGTON_DIR_URI . 'assets/css/responsive.css');
        wp_enqueue_style('harrington-mobile-meanmenu-css', HARRINGTON_DIR_URI . 'assets/css/meanmenu.css');
        wp_enqueue_style('harrington-gallery', HARRINGTON_DIR_URI . 'assets/css/gallery.css');
        wp_enqueue_style('harrington-zoombox-gallery', HARRINGTON_DIR_URI . 'assets/css/zoombox-gal.css');
//        if (harrington_get_option('harrington_lanstylesheet') != 'Default' && harrington_get_option('harrington_lanstylesheet') != NULL) {
//            wp_enqueue_style('rtloptions', HARRINGTON_DIR_URI . "assets/css/color/" . harrington_get_option('harrington_lanstylesheet') . ".css", '', '', 'all');
//            wp_enqueue_style('harrington-woocommerce-rtl', HARRINGTON_DIR_URI . 'assets/css/woocommerce-rtl.css');
//        }
    }
}

add_action('wp_enqueue_scripts', 'harrington_add_stylesheet');

/**
 * Javascript files
 */
function harrington_wp_enqueue_scripts() {
    if (!is_admin()) {
        wp_enqueue_script('harrington-ddsmoothmenu', HARRINGTON_DIR_URI . 'assets/js/ddsmoothmenu.js', array('jquery'), '', true);
        wp_enqueue_script('harrington-bxslider', HARRINGTON_DIR_URI . 'assets/js/jquery.bxslider.js', array('jquery'), '', true);
        wp_enqueue_script('harrington-slippy-js', HARRINGTON_DIR_URI . 'assets/js/slippry.js', array('jquery'), '', true);
        wp_enqueue_script('harrington-mobile-mean-menu', HARRINGTON_DIR_URI . 'assets/js/jquery.meanmenu.min.js', array('jquery'), '', true);
//        wp_enqueue_script('harrington-captcha-js', 'https://www.google.com/recaptcha/api.js', array('jquery'));
        wp_enqueue_script('harrington-masonry-js', HARRINGTON_DIR_URI . 'assets/js/masonry.pkgd.min.js', array('jquery'), '', true);
        wp_enqueue_script('harrington-gal-zoombox', HARRINGTON_DIR_URI . 'assets/js/zoombox.js', array('jquery'), '', true);
        wp_enqueue_script('harrington-gal-prettyPhoto', HARRINGTON_DIR_URI . 'assets/js/jquery.prettyPhoto.js', array('jquery'), '', true);
        wp_enqueue_script('harrington-custom', HARRINGTON_DIR_URI . 'assets/js/custom.js', array('jquery'), '', true);
    }
    /**
     * Enqueue comment thread js
     */
    if (is_singular() and get_site_option('thread_comments')) {
        wp_print_scripts('comment-reply');
    }
}

add_action('wp_enqueue_scripts', 'harrington_wp_enqueue_scripts');

function harrington_get_option($name) {
    $options = get_option('harrington_options');
    if (isset($options[$name]))
        return $options[$name];
}
//
function harrington_update_option($name, $value) {
    $options = get_option('harrington_options');
    $options[$name] = $value;
    return update_option('harrington_options', $options);
}
//
function harrington_delete_option($name) {
    $options = get_option('harrington_options');
    unset($options[$name]);
    return update_option('harrington_options', $options);
}

function harrington_setup() {
    /**
     * Post thumbnail support
     */
    add_theme_support('post-thumbnails');
    add_theme_support('title-tag');
    add_image_size('post_thumbnail', 600, 250, true);
    /**
     * Automatic feed links support
     */
    add_theme_support('automatic-feed-links');
    /**
     * Intialize language files 
     */
    load_theme_textdomain('harrington-lite', get_template_directory() . '/languages');
    register_nav_menu('custom_menu', __('Main Menu', 'harrington-lite'));

    if (!isset($content_width))
        $content_width = 590;
}

add_action('after_setup_theme', 'harrington_setup');

/**
 * Adding body background in the theme using function
 */
function harrington_body_background() {
    $bg_url = esc_url(harrington_get_option('harrington_bodybg'));
    if ($bg_url != '') {
        ?>
        <style type="text/css">
            body{ background:fixed url('<?php echo $bg_url; ?>'); }
        </style>
        <?php
    }
}

add_action('wp_head', 'harrington_body_background');

/**
 * Custom Menus Function
 * Add CLASS attributes to the first <ul> occurence in wp_page_menu
 */
function inkthemes_add_menuclass($ulclass) {
    return preg_replace('/<ul>/', '<ul class="ddsmoothmenu">', $ulclass, 1);
}

add_filter('wp_page_menu', 'inkthemes_add_menuclass');

function harrington_nav() {
    if (function_exists('wp_nav_menu'))
        wp_nav_menu(array('theme_location' => 'custom_menu', 'container_id' => 'menu', 'menu_class' => 'ddsmoothmenu', 'fallback_cb' => 'harrington_nav_fallback'));
    else
        harrington_nav_fallback();
}

function harrington_nav_fallback() {
    ?>
    <div id="menu">
        <ul class="ddsmoothmenu">
            <?php
            wp_list_pages('title_li=&show_home=1&sort_column=menu_order');
            ?>
        </ul>
    </div>
    <?php
}

function harrington_nav_menu_items($items) {
    if (is_home()) {
        $homelink = '<li class="current_page_item">' . '<a href="' . esc_url(home_url('/')) . '">' . __('Home', 'harrington-lite') . '</a></li>';
    } else {
        $homelink = '<li>' . '<a href="' . esc_url(home_url('/')) . '">' . __('Home', 'harrington-lite') . '</a></li>';
    }
    $items = $homelink . $items;
    return $items;
}

add_filter('wp_list_pages', 'harrington_nav_menu_items');

/**
 * Breadcrumbs 
 * @global type $post
 * @global type $wp_query
 * @global type $author
 */
function harrington_breadcrumbs() {
    $delimiter = '&raquo;';
    $home = __('Home', 'harrington-lite'); // text for the 'Home' link
    $before = '<span class="current">'; // tag before the current crumb
    $after = '</span>'; // tag after the current crumb
    echo '<p id="crumbs">';
    global $post;
    $homeLink = esc_url(home_url());
    echo '<a href="' . $homeLink . '">' . $home . '</a> ' . $delimiter . ' ';
    if (is_category()) {
        global $wp_query;
        $cat_obj = $wp_query->get_queried_object();
        $thisCat = $cat_obj->term_id;
        $thisCat = get_category($thisCat);
        $parentCat = get_category($thisCat->parent);
        if ($thisCat->parent != 0)
            echo(get_category_parents($parentCat, TRUE, ' ' . $delimiter . ' '));
        echo $before . __('Archive by category', 'harrington-lite') . single_cat_title('', false) . '"' . $after;
    }
    elseif (is_day()) {
        echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
        echo '<a href="' . get_month_link(get_the_time('Y'), get_the_time('m')) . '">' . get_the_time('F') . '</a> ' . $delimiter . ' ';
        echo $before . get_the_time('d') . $after;
    } elseif (is_month()) {
        echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
        echo $before . get_the_time('F') . $after;
    } elseif (is_year()) {
        echo $before . get_the_time('Y') . $after;
    } elseif (is_single() && !is_attachment()) {
        if (get_post_type() != 'post') {
            $post_type = get_post_type_object(get_post_type());
            $slug = $post_type->rewrite;
            echo '<a href="' . $homeLink . '/' . $slug['slug'] . '/">' . $post_type->labels->singular_name . '</a> ' . $delimiter . ' ';
            echo $before . get_the_title() . $after;
        } else {
            $cat = get_the_category();
            $cat = $cat[0];
            echo get_category_parents($cat, TRUE, ' ' . $delimiter . ' ');
            echo $before . get_the_title() . $after;
        }
    } elseif (is_attachment()) {
        $parent = get_post($post->post_parent);
        $cat = get_the_category($parent->ID);
        $cat = $cat[0];
        echo get_category_parents($cat, TRUE, ' ' . $delimiter . ' ');
        echo '<a href="' . get_permalink($parent) . '">' . $parent->post_title . '</a> ' . $delimiter . ' ';
        echo $before . get_the_title() . $after;
    } elseif (is_page() && !$post->post_parent) {
        echo $before . get_the_title() . $after;
    } elseif (is_page() && $post->post_parent) {
        $parent_id = $post->post_parent;
        $breadcrumbs = array();
        while ($parent_id) {
            $page = get_page($parent_id);
            $breadcrumbs[] = '<a href="' . get_permalink($page->ID) . '">' . get_the_title($page->ID) . '</a>';
            $parent_id = $page->post_parent;
        }
        $breadcrumbs = array_reverse($breadcrumbs);
        foreach ($breadcrumbs as $crumb)
            echo $crumb . ' ' . $delimiter . ' ';
        echo $before . get_the_title() . $after;
    } elseif (is_search()) {
        echo $before . __('Search results for', 'harrington-lite') . '"' . get_search_query() . '"' . $after;
    } elseif (is_tag()) {
        echo $before . __('Posts tagged', 'harrington-lite') . '"' . single_tag_title('', false) . '"' . $after;
    } elseif (is_author()) {
        global $author;
        $userdata = get_userdata($author);
        echo $before . __('Articles posted by ', 'harrington-lite') . $userdata->display_name . $after;
    } elseif (is_404()) {
        echo $before . __('Error 404', 'harrington-lite') . $after;
    }
    if (get_query_var('paged')) {
        if (is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author())
            echo ' (';
        echo __('Page', 'harrington-lite') . ' ' . get_query_var('paged');
        if (is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author())
            echo ')';
    }
    echo '</p>';
}

/**
 * This function thumbnail id and
 * returns thumbnail image
 * @param type $iw
 * @param type $ih 
 */
function harrington_get_thumbnail($iw, $ih, $id = "") {
    $permalink = get_permalink($id);
    $thumb = get_post_thumbnail_id();
    $image = harrington_thumbnail_resize($thumb, '', $iw, $ih, true, 90);
    if ($thumb) {
        if ((function_exists('has_post_thumbnail')) && (has_post_thumbnail())) {
            print "<a href='$permalink'><img class='postimg' src='{$image['url']}' width='{$image['width']}' height='{$image['height']}' /></a>";
        }
    }
}

/**
 * This function gets image width and height and
 * Prints attached images from the post        
 */
function harrington_get_image($width, $height) {
    $return = false;
    $w = $width;
    $h = $height;
    global $post, $posts;
//This is required to set to Null
    $img_source = '';
    $permalink = get_permalink();
    ob_start();
    ob_end_clean();
    $output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
    if (isset($matches [1] [0])) {
        $img_source = $matches [1] [0];
    }
    if ($img_source) {
        $img_path = harrington_image_resize($img_source, $w, $h);
        if (!empty($img_path)) {
            if ($return) {
                return "<a href='$permalink'><img src='{$img_path['url']}' class='postimg img-thumbnail' alt='Post Image'/></a>";
            } else {
                echo "<a href='$permalink'><img src='{$img_path['url']}' class='postimg img-thumbnail' alt='Post Image'/></a>";
            }
        }
    }
}

/**
 * For Attachment Page
 * Prints HTML with meta information for the current post (category, tags and permalink).
 */
function harrington_posted_in() {
// Retrieves tag list of current post, separated by commas.
    $tag_list = get_the_tag_list('', ', ');
    if ($tag_list) {
        $posted_in = __('This entry was posted in %1$s and tagged %2$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'harrington-lite');
    } elseif (is_object_in_taxonomy(get_post_type(), 'category')) {
        $posted_in = __('This entry was posted in %1$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'harrington-lite');
    } else {
        $posted_in = __('Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'harrington-lite');
    }
// Prints the string, replacing the placeholders.
    printf(
            $posted_in, get_the_category_list(', '), $tag_list, get_permalink(), the_title_attribute('echo=0')
    );
}

/**
 * Register widgetized areas.
 */
function harrington_widgets_init() {
    /**
     *  Area 1, located at the top of the sidebar.
     */
    register_sidebar(array(
        'name' => __('Primary Widget Area', 'harrington-lite'),
        'id' => 'primary-widget-area',
        'description' => __('The primary widget area', 'harrington-lite'),
        'before_widget' => '<div id="%1$s" class="widget_area %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<span class="widget_heading">',
        'after_title' => '</span>'
    ));
    /**
     *  Area 2, located in the footer. Empty by default.
     */
    register_sidebar(array(
        'name' => __('First Footer Widget Area', 'harrington-lite'),
        'id' => 'first-footer-widget-area',
        'description' => __('The first footer widget area', 'harrington-lite'),
        'before_widget' => '<div id="%1$s" class="widget_area %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<span class="widget_heading">',
        'after_title' => '</span>'
    ));
    /**
     *  Area 3, located in the footer. Empty by default.
     */
    register_sidebar(array(
        'name' => __('Second Footer Widget Area', 'harrington-lite'),
        'id' => 'second-footer-widget-area',
        'description' => __('The second footer widget area', 'harrington-lite'),
        'before_widget' => '<div id="%1$s" class="widget_area %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<span class="widget_heading">',
        'after_title' => '</span>'
    ));
    /**
     *  Area 4, located in the footer. Empty by default.
     */
    register_sidebar(array(
        'name' => __('Third Footer Widget Area', 'harrington-lite'),
        'id' => 'third-footer-widget-area',
        'description' => __('The third footer widget area', 'harrington-lite'),
        'before_widget' => '<div id="%1$s" class="widget_area %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<span class="widget_heading">',
        'after_title' => '</span>'
    ));
    /**
     *  Area 5, located in the footer. Empty by default.
     */
    register_sidebar(array(
        'name' => __('Fourth Footer Widget Area', 'harrington-lite'),
        'id' => 'fourth-footer-widget-area',
        'description' => __('The fourth footer widget area', 'harrington-lite'),
        'before_widget' => '<div id="%1$s" class="widget_area %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<span class="widget_heading">',
        'after_title' => '</span>'
    ));
}

add_action('widgets_init', 'harrington_widgets_init');

/**
 * Pagination
 *
 */
function harrington_pagination($pages = '', $range = 2) {
    $showitems = ($range * 2) + 1;
    global $paged;
    if (empty($paged))
        $paged = 1;
    if ($pages == '') {
        global $wp_query;
        $pages = $wp_query->max_num_pages;
        if (!$pages) {
            $pages = 1;
        }
    }
    if (1 != $pages) {
        echo "<ul class='paging'>";
        if ($paged > 2 && $paged > $range + 1 && $showitems < $pages)
            echo "<li><a href='" . get_pagenum_link(1) . "'>&laquo;</a></li>";
        if ($paged > 1 && $showitems < $pages)
            echo "<li><a href='" . get_pagenum_link($paged - 1) . "'>&lsaquo;</a></li>";
        for ($i = 1; $i <= $pages; $i++) {
            if (1 != $pages && (!($i >= $paged + $range + 1 || $i <= $paged - $range - 1) || $pages <= $showitems )) {
                echo ($paged == $i) ? "<li><a href='" . get_pagenum_link($i) . "' class='current' >" . $i . "</a></li>" : "<li><a href='" . get_pagenum_link($i) . "' class='inactive' >" . $i . "</a></li>";
            }
        }
        if ($paged < $pages && $showitems < $pages)
            echo "<li><a href='" . get_pagenum_link($paged + 1) . "'>&rsaquo;</a></li>";
        if ($paged < $pages - 1 && $paged + $range - 1 < $pages && $showitems < $pages)
            echo "<li><a href='" . get_pagenum_link($pages) . "'>&raquo;</a></li>";
        echo "</ul>\n";
    }
}

/**
 *  Add Favicon
 */
function harrington_childtheme_favicon() {
    if (harrington_get_option('harrington_favicon') != '') {
        echo '<link rel="shortcut icon" href="' . harrington_get_option('harrington_favicon') . '"/>' . "\n";
    } else {
        ?>
        <link rel="shortcut icon" href="<?php echo HARRINGTON_DIR_URI . 'assets/images/favicon.ico'; ?>" />
        <?php
    }
}

add_action('wp_head', 'harrington_childtheme_favicon');

/**
 *  Show analytics code in footer 
 */
//function harrington_childtheme_analytics() {
//    $output = harrington_get_option('harrington_analytics');
//    if ($output <> "")
//        // echo stripslashes($output);
//        harrington_sanitize_html(stripslashes($output));
//    // var_dump(harrington_get_option('harrington_analytics'));
//}
//
//add_action('wp_head', 'harrington_childtheme_analytics');

/**
 *  Custom CSS Styles 
 */
function harrington_of_head_css() {
    $output = '';
    $custom_css = harrington_get_option('inkthemes_customcss');
    if ($custom_css <> '') {
        $output .= $custom_css . "\n";
    }
    /**
     *  Output styles
     */
    if ($output <> '') {
        $output = "<!-- Custom Styling -->\n<style type=\"text/css\">\n" . $output . "</style>\n";
        echo $output;
    }
}

add_action('wp_head', 'harrington_of_head_css');

/**
 * Activate support for thumbnails
 */
function harrington_get_category_id($cat_name) {
    $term = get_term_by('name', $cat_name, 'category');
    return $term->term_id;
}

/**
 * Trm excerpt
 */
function harrington_trim_excerpt($length) {
    global $post;
    $explicit_excerpt = $post->post_excerpt;
    if ('' == $explicit_excerpt) {
        $text = get_the_content('');
        $text = apply_filters('the_content', $text);
        $text = str_replace(']]>', ']]>', $text);
    } else {
        $text = apply_filters('the_content', $explicit_excerpt);
    }
    //$text = strip_shortcodes($text); // optional
    $text = strip_tags($text);
    $excerpt_length = $length;
    $words = explode(' ', $text, $excerpt_length + 1);
    if (count($words) > $excerpt_length) {
        array_pop($words);
        array_push($words, '...');
        $text = implode(' ', $words);
        $text = apply_filters('the_excerpt', $text);
    }
    return $text;
}

/**
 * function to sanitize the html strings
 * Allowed only the WordPress allowed html tags and iframe html tags
 * @param string $value
 * @return string
 */
function harrington_sanitize_html($value) {
    $array = wp_kses_allowed_html('post');
    $allowedtags = array(
        'iframe' => array(
            'width' => array(),
            'height' => array(),
            'frameborder' => array(),
            'scrolling' => array(),
            'src' => array(),
            'marginwidth' => array(),
            'marginheight' => array(),
        ),
        'script' => array(
            'type' => array(),
            'src' => array()
        )
    );
    $data = array_merge($allowedtags, $array);
    $value = wp_kses($value, $data);
    return $value;
}

function harrington_image_post($post_id) {
    add_post_meta($post_id, 'img_key', 'on');
}

//function harrington_taptocall_bg() {
//    $top_gredient = harrington_get_option('harrington_tapto_backtop');
//    $bottom_gredient = harrington_get_option('harrington_tapto_backbottom');
//    $box_shadow = harrington_get_option('harrington_tapto_box_shadow');
//    $text_shadow = harrington_get_option('harrington_tapto_text_shadow');
//    $text_color = harrington_get_option('harrington_tapto_text_color');
//    $border_color = harrington_get_option('harrington_tapto_border_color');
//    $tap_tocall = '';
//    $tap_tocall = '<style>';
//    $tap_tocall .='.call-us a.btn {';
//    if ($top_gredient != '') {
//        $tap_tocall .= "background: $top_gredient;";
//    }
//    if ($bottom_gredient != '' && $top_gredient != '') {
//        $tap_tocall .="background: -webkit-gradient(linear, left top, left bottom, from($top_gredient), to($bottom_gredient));";
//        $tap_tocall .="background: -moz-linear-gradient(top, $top_gredient, $bottom_gredient);";
//        $tap_tocall .="background: linear-gradient(to bottom, $top_gredient, $bottom_gredient);";
//    }
//    if ($box_shadow != '') {
//        $tap_tocall .="-webkit-box-shadow: $box_shadow 0px 2px 0px 0px;";
//        $tap_tocall .="-moz-box-shadow: $box_shadow 0px 2px 0px 0px;";
//        $tap_tocall .="box-shadow: $box_shadow 0px 2px 0px 0px;";
//    }
//    if ($border_color != '') {
//        $tap_tocall .="border: 1px solid $border_color;";
//    }
//    if ($text_shadow != '') {
//        $tap_tocall .="text-shadow: $text_shadow 1px 0px 2px;";
//    }
//    if ($text_color != '') {
//        $tap_tocall .="color: $text_color;";
//    }
//    $tap_tocall .='}';
//    $tap_tocall .='.call-us a.btn:hover {';
//    if ($top_gredient != '') {
//        $tap_tocall .= "background: $bottom_gredient;";
//    }
//    if ($bottom_gredient != '' && $top_gredient != '') {
//        $tap_tocall .="background: -webkit-gradient(linear, left top, left bottom, from($bottom_gredient), to($top_gredient));";
//        $tap_tocall .="background: -moz-linear-gradient(top, $bottom_gredient, $top_gredient);";
//        $tap_tocall .="background: linear-gradient(to bottom, $bottom_gredient, $top_gredient);";
//    }
//    $tap_tocall .='}';
//    $tap_tocall .='</style>';
//
//    echo $tap_tocall;
//}

//add_action('wp_head', 'harrington_taptocall_bg');

/*
*WooCommerce Support
*/
add_action( 'after_setup_theme', 'woocommerce_support' );
function woocommerce_support() {
    add_theme_support( 'woocommerce' );
}









/**
* Theme options to customizer migration function
*/
function theme_options_to_customizer(){ 
    $customizer_data = array();

    /*
     *Fetch all the theme options ids 
    */
    $theme_options_data = get_option('inkthemes_options');

    /*
    *To display theme options 
    */
    // echo "<pre>===";
    // print_r($theme_options_data);
    // echo "</pre>";
    
    /*
    * Replacing inkthemes string with theme name
    */  
    foreach ($theme_options_data as $key => $value) {      
        if (stripos("'.$key.'", 'inkthemes') !== false) {
            $key = str_replace("inkthemes", "harrington", $key);
            $customizer_data[$key] = $value;
        }
        else {
            $customizer_data[$key] = $value;
        }                      
    }

    /*
    *To display theme customizer options 
    */
    // echo "<pre>";
    // print_r($customizer_data);
    // echo "</pre>";
    
    /**
     * Updating the customizer options
     */
    update_option('harrington_options', $customizer_data); 
}

 /**
 *Checking data migrating status (Theme options to Customizer) 
 */
$customizer_data_status = get_option('theme_options_to_customizer_status');
if ($customizer_data_status != 'completed' && $customizer_data_status != '' && $customizer_data_status != null || $customizer_data_status == false) {
    add_action('after_setup_theme', 'theme_options_to_customizer');
    update_option('theme_options_to_customizer_status', 'completed');
}






/**
* Filters wp_title() to print a neat <title> tag based on what is being viewed.
*
* @param string $title Default title text for current view.
* @param string $sep Optional separator.
* @return string The filtered title.
*/
function wpdocs_theme_name_wp_title( $title, $sep ) {
if ( is_feed() ) {
return $title;
}
// global $page, $paged;
// Add the blog name
$title .= get_bloginfo( 'name', 'harrington-display' );
// Add the blog description for the home/front page.
$site_description = get_bloginfo( 'description', 'harrington-display' );
if ( $site_description && ( is_home() || is_front_page() ) ) {
$title .= " $sep $site_description";
}
// Add a page number if necessary:
// if ( ( $paged >= 2 || $page >= 2 ) && ! is_404() ) {
// $title .= " $sep " . sprintf( __( 'Page %s', '_s' ), max( $paged, $page ) );
// }
return $title;
}
add_filter( 'wp_title', 'wpdocs_theme_name_wp_title', 10, 2 );
















