<?php
/**
 * The template for displaying Category pages.
 *
 */
get_header();
?> 
<div class="page-container">
    <div class="container">
        <div class="row">
            <div class="page-content">
                <div class="page_heading_wrapper">
                    <div class="page_heading">
                        <div class="col-md-6 col-sm-6"><h1><?php printf(__('Search Results for: %s', 'harrington-lite'), '' . get_search_query() . ''); ?></h1></div>
                        <div class="col-md-6 col-sm-6"><?php harrington_breadcrumbs(); ?></div>
                        <div class="clear"></div>
                    </div>
                </div>
                <div class="col-md-8">
                    <div class="content-bar">
                        <?php
                        if (have_posts(have_posts())) : while (have_posts()): the_post();
                                get_template_part('templates/content');
                            endwhile;
                        else :
                            ?>
                            <article id="post-0" class="no-results not-found">
                                <header class="entry-header">
                                    <h1 class="entry-title">
                                        <?php _e('Nothing Found here', 'harrington-lite'); ?>
                                    </h1>
                                </header>
                                <!-- .entry-header -->
                                <div class="entry-content">
                                    <p>
                                        <?php _e('Sorry, but nothing matched your search criteria.', 'harrington-lite'); ?>
                                    </p>
                                    <?php get_search_form(); ?>
                                </div>
                                <!-- .entry-content -->
                            </article>
                        <?php endif; ?>
                        <div class="clear"></div>
                        <?php harrington_pagination(); ?> 
                    </div>
                </div>
                <div class="col-md-4">
                    <!--Start Sidebar-->
                    <?php get_sidebar(); ?>
                    <!--End Sidebar-->
                </div>
            </div>
        </div>
        <div class="clear"></div>
    </div>
</div>
<?php get_footer(); ?>