<?php
/**
 * The Template for displaying all single posts.
 *
 * @package WordPress
 * @subpackage Harrington
 * @since Harrington 1.0
 */
get_header();
?>
<div class="page-container">
    <div class="container">
        <div class="row">
            <div class="page-content">
                <div class="page_heading_wrapper">
                    <div class="col-md-12">
                        <div class="page_heading single"><?php harrington_breadcrumbs(); ?></div>
                    </div>
                </div>
                <div class="col-md-8">
                    <div class="content-bar">            
                        <!-- Start the Loop. -->
                        <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
                                <!--Start post-->
                                <div class="post">			
                                    <h1 class="post_title"><?php the_title(); ?></h1>
                                    <ul class="post_meta">
                                        <li class="posted_on"><span class="glyphicon glyphicon-time"></span><?php echo get_the_time('M, d, Y') ?></li>
                                        <li class="posted_by"><span class="glyphicon glyphicon-user"></span><?php the_author_posts_link(); ?></li>
                                        <li class="posted_in"><span class="glyphicon glyphicon-tags"></span><?php the_category(', '); ?></li>
                                        <li class="post_comment"><?php comments_popup_link(__('No Comments.', 'harrington-lite'), __('1 Comment.', 'harrington-lite'), __('% Comments.', 'harrington-lite'), '', ''); ?></li>
                                    </ul>
                                    <div class="post_content"> 
                                        <?php
                                        the_content();
                                        wp_link_pages(array(
                                            'before' => '<div class="page-links"><span class="page-links-title">' . __('Pages:', 'harrington-lite') . '</span>',
                                            'after' => '</div>',
                                            'link_before' => '<span>',
                                            'link_after' => '</span>',
                                        ));
                                        ?>
                                    </div>				
                                    <?php if (has_tag()) { ?>
                                        <div class="tag">
                                            <?php the_tags(__('Post Tag With : ', 'harrington-lite'), ','); ?>
                                        </div>
                                    <?php } ?>				
                                </div>
                                <?php
                            endwhile;
                        else:
                            ?>
                            <div class="post">
                                <p>
                                    <?php _e('Sorry, no posts matched your criteria.', 'harrington-lite'); ?>
                                </p>
                            </div>
                        <?php endif; ?>
                        <!--End post-->
                        <!--End Post-->	
                        <div class="clear"></div>
                        <nav id="nav-single"> <span class="nav-previous">
                                <?php previous_post_link('%link', '<span class="meta-nav">' . __(' Previous Post', 'harrington-lite') . '</span>'); ?>
                            </span> <span class="nav-next">
                                <?php next_post_link('%link', '<span class="meta-nav">' . __('Next Post ', 'harrington-lite') . '</span>'); ?>
                            </span> </nav>
                        <!--Start Comment box-->
                        <?php comment_form(); ?>
                        <!--End Comment box-->			
                    </div>
                </div>
                <div class="col-md-4">
                    <!--Start Sidebar-->
                    <?php get_sidebar(); ?>
                    <!--End Sidebar-->
                </div>
            </div>
        </div>
        <div class="clear"></div>
    </div>
</div>
<?php get_footer(); ?>