<?php
/*
  Template Name: Contact Page
 */
get_header();
$nameError = '';
$emailError = '';
$commentError = '';
$headers = '';

if (isset($_POST['submitted'])) {
    if (trim($_POST['contactName']) === '') {
        $nameError = __('Please enter your name.', 'harrington-lite');
        $hasError = true;
    } else {
        $name = trim($_POST['contactName']);
    }
    if (trim($_POST['email']) === '') {
        $emailError = __('Please enter your email address.', 'harrington-lite');
        $hasError = true;
    } else if (!preg_match("/^[A-Z0-9._%-]+@[A-Z0-9._%-]+\.[A-Z]{2,4}$/i", trim($_POST['email']))) {
        $emailError = __('You entered an invalid email address.', 'harrington-lite');
        $hasError = true;
    } else {
        $email = trim($_POST['email']);
    }
    if (trim($_POST['comments']) === '') {
        $commentError = __('Please enter a message.', 'harrington-lite');
        $hasError = true;
    } else {
        if (function_exists('stripslashes')) {
            $comments = stripslashes(trim($_POST['comments']));
        } else {
            $comments = trim($_POST['comments']);
        }
    }

    //If there is no error, send the email
    if (!isset($hasError)) {
        $emailTo = get_option('tz_email');
        if (!isset($emailTo) || ($emailTo == '')) {
            $emailTo = get_option('admin_email');
        }
        $subject = __('Contact page lead : ', 'harrington-lite') . $name;
        $body = __('Name:', 'harrington-lite') . $name . "<br/>" . __('Email:', 'harrington-lite') . $email . "<br/>" . __('Comments:', 'harrington-lite') . $comments;
        $headers .= "MIME-Version: 1.0\r\n";
        $headers .= "Content-Type: text/html; charset=ISO-8859-1\r\n";
        $headers .= bloginfo('name') . ' : ' . $name . ' <' . $emailTo . '>' . "\r\n" . __('Reply-To:', 'harrington-lite') . $email;
        wp_mail($emailTo, $subject, $body, $headers);
        $emailSent = true;
        $_POST['submit'] = "";
    }
}
?>
<div class="page-container">
    <div class="container">
        <div class="row">
            <div class="page-content">
                <div class="page_heading_wrapper">
                    <div class="page_heading">
                        <div class="col-md-6 col-sm-6"><h1><?php the_title(); ?></h1></div>
                        <div class="col-md-6 col-sm-6"><?php harrington_breadcrumbs(); ?></div>
                        <div class="clear"></div>
                    </div>
                </div>
                <div class="col-md-8">
                    <div class="content-bar">
                        <div class="contact-page">
                            <h1><?php the_title(); ?></h1>
                            <?php
                            if (have_posts()):
                                while (have_posts()) : the_post();
                                    the_content();
                                    wp_link_pages(array(
                                        'before' => '<div class="page-links"><span class="page-links-title">' . __('Pages:', 'harrington-lite') . '</span>',
                                        'after' => '</div>',
                                        'link_before' => '<span>',
                                        'link_after' => '</span>',
                                    ));
                                    if (isset($emailSent) && $emailSent == true) {
                                        ?>
                                        <div class="thanks">
                                            <p><?php _e('Thanks, your email was sent successfully.', 'harrington-lite'); ?></p>
                                        </div>
                                        <?php
                                    } else {
                                        if (isset($hasError)) {
                                            ?>
                                            <p class="error"><?php _e('Sorry, an error occured.', 'harrington-lite'); ?></p>
                                        <?php } ?>
                                        <form action="<?php the_permalink(); ?>" id="contactForm" class="contactform" method="post">  
                                            <div class="col-md-6 col-sm-6 name_input">
                                                <div class="form-group">
                                                    <input type="text"  id="contactName" name="contactName"  value="<?php
                                                    if (isset($_POST['contactName']))
                                                        echo $_POST['contactName'];
                                                    ?>" class="required requiredField form-control" placeholder="<?php _e('Your Name', 'harrington-lite'); ?>" required/>
                                                </div>
                                                <div class="form-group">
                                                    <?php if ($nameError != '') { ?>
                                                        <span class="error form-control"> <?php echo $nameError; ?> </span>
                                                    <?php } ?>
                                                </div>
                                            </div>
                                            <div class="col-md-6 col-sm-6 email_input">
                                                <div class="form-group">
                                                    <input type="email" name="email" id="email" value="<?php if (isset($_POST['email'])) echo $_POST['email']; ?>" class="required requiredField email form-control" placeholder="<?php _e('Your Email', 'harrington-lite'); ?>" required/>
                                                    <?php if ($emailError != '') { ?>
                                                        <span class="error form-control"> <?php echo $emailError; ?> </span>
                                                    <?php } ?> 
                                                </div>
                                            </div>
                                            <div class="col-md-12">
                                                <div class="row">
                                                    <div class="form-group">
                                                        <textarea name="comments" id="commentsText" rows="20" cols="30" class="required requiredField form-control" placeholder="<?php _e('Your Message', 'harrington-lite'); ?>" required>  <?php
                                                            if (isset($_POST['comments'])) {
                                                                if (function_exists('stripslashes')) {
                                                                    echo stripslashes($_POST['comments']);
                                                                } else {
                                                                    echo $_POST['comments'];
                                                                }
                                                            }
                                                            ?></textarea>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="clear"></div>
                                            <input class="submit" type="submit" value="<?php _e('Submit Message', 'harrington-lite') ?>"/>
                                            <input type="hidden" name="submitted" id="submitted" value="true" />
                                        </form>   
                                    <?php } ?>
                                    <?php
                                endwhile;
                            endif;
                            ?>
                            <div class="clear"></div>
 	
                        </div>    		
                    </div>
                </div>
                <div class="col-md-4">
                    <!--Start Sidebar-->
                    <?php get_sidebar(); ?>
                    <!--End Sidebar-->
                </div>
            </div>
        </div>
        <div class="clear"></div>
    </div>
</div>
<?php get_footer(); ?>